- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
Main::Admin Class Reference

A factory class for creating GSmtp::AdminServer objects. More...

`#include <admin.h>`

## Static Public Member Functions
static bool | enabled ()
| Returns true if newServer() is fully implemented. More...
static std::auto_ptr< GSmtp::AdminServer > | newServer (const Configuration &, GSmtp::MessageStore &store, const GSmtp::Client::Config &, const GAuth::Secrets &client_secrets, const std::string &version_number)
| A factory function for creating a new GSmtp::AdminServer instance on the heap. More...
static void | notify (GSmtp::AdminServer &server, const std::string &, const std::string &, const std::string &)
| Calls notify() on the given server. More...
static void | report (const GSmtp::AdminServer &server)
| Calls report() on the given server. More...

## Detailed Description

A factory class for creating GSmtp::AdminServer objects.

Definition at line 42 of file admin.h.

## Member Function Documentation

bool Main::Admin::enabled | ( |  | ) |
| static

Returns true if newServer() is fully implemented.

Definition at line 27 of file admin_enabled.cpp.

std::auto_ptr< GSmtp::AdminServer > Main::Admin::newServer | ( | const Configuration & | cfg,
|  | GSmtp::MessageStore & | store,
|  | const GSmtp::Client::Config & | client_config,
|  | const GAuth::Secrets & | client_secrets,
|  | const std::string & | version_number
| ) |  |
| static

A factory function for creating a new GSmtp::AdminServer instance on the heap.

Definition at line 32 of file admin_enabled.cpp.

References GNet::MultiServer::addressList(), Main::Configuration::adminPort(), Main::Configuration::allowRemoteClients(), Main::Configuration::clientInterface(), Main::Configuration::connectionTimeout(), Main::Legal::copyright(), GSsl::Library::credit(), Main::Configuration::listeningInterfaces(), Main::Configuration::serverAddress(), Main::Legal::warranty(), and Main::Configuration::withTerminate().

void Main::Admin::notify | ( | GSmtp::AdminServer & | server,
|  | const std::string & | p1,
|  | const std::string & | p2,
|  | const std::string & | p3
| ) |  |
| static

Calls notify() on the given server.

Definition at line 65 of file admin_enabled.cpp.

References GSmtp::AdminServer::notify().

void Main::Admin::report | ( | const GSmtp::AdminServer & | server | ) |
| static

Calls report() on the given server.

Definition at line 71 of file admin_enabled.cpp.

References GSmtp::AdminServer::report().

The documentation for this class was generated from the following files:

- admin.h
- admin_enabled.cpp